import { use } from "../../extension.mjs";
import radarLayout from "./radarLayout.mjs";
import dataFilter from "../../processor/dataFilter.mjs";
import radarBackwardCompat from "./backwardCompat.mjs";
import RadarView from "./RadarView.mjs";
import RadarSeriesModel from "./RadarSeries.mjs";
import { install as install$1 } from "../../component/radar/install.mjs";
function install(registers) {
  use(install$1);
  registers.registerChartView(RadarView);
  registers.registerSeriesModel(RadarSeriesModel);
  registers.registerLayout(radarLayout);
  registers.registerProcessor(dataFilter("radar"));
  registers.registerPreprocessor(radarBackwardCompat);
}
export {
  install
};
